Subject: bug#67926: 29.1; fail to extract ZIP subfile named with [...]

From: Eli Zaretskii <[email-masked]>
Date: Thu, 28 Dec 2023 16:56:51 +0200

> Cc: [email-masked]
> Date: Tue, 26 Dec 2023 19:25:39 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> > From: [email-masked]
> > Cc: [email-masked]
> > Date: Tue, 26 Dec 2023 23:51:01 +0900
> > 
> > Eli Zaretskii <[email-masked]> writes:
> > >> This is because 'unzip.exe' treats subfilename arguments containing
> > >> '[...]' as subfilename patterns. This does not occur with '7z.exe'.
> > >
> > > Is there any way of making 'unzip' extract file[abc].txt by name,  by
> > > some kind of escaping or protecting the [...] wildcard from expansion?
> > > If there is such a way, we could try using it (maybe); if there's no
> > > such way, I will tag this bug "wontfix", since it isn't a problem with
> > > Emacs, but with the Windows build of 'unzip'.
> > 
> > There is a tricky way to specify "file[[]abc].txt".
> 
> That could be a good solution if it works reliably.

I've now verified that it works reliably, and replaced
shell-quote-argument with this special quoting in archive-zip-extract
(but only when the program used to extract files is "unzip").

So the original problem of this bug report is now fixed, and I think
we can close this bug.